diff --git a/web/pgadmin/authenticate/__init__.py b/web/pgadmin/authenticate/__init__.py
index 40c76b2b3..d328b0d24 100644
--- a/web/pgadmin/authenticate/__init__.py
+++ b/web/pgadmin/authenticate/__init__.py
@@ -25,7 +25,7 @@ from flask import session
 
 import config
 from pgadmin.utils import PgAdminModule
-from pgadmin.utils.constants import KERBEROS
+from pgadmin.utils.constants import KERBEROS, INTERNAL
 from pgadmin.utils.csrf import pgCSRFProtect
 
 from .registry import AuthSourceRegistry
@@ -120,7 +120,7 @@ class AuthSourceManager():
         self.form = form
         self.auth_sources = sources
         self.source = None
-        self.source_friendly_name = None
+        self.source_friendly_name = INTERNAL
         self.current_source = None
 
     def as_dict(self):
diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index fdfcdbde0..e91a72a57 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -51,6 +51,7 @@ from pgadmin.utils.master_password import validate_master_password, \
 from pgadmin.model import User
 from pgadmin.utils.constants import MIMETYPE_APP_JS, PGADMIN_NODE,\
     INTERNAL, KERBEROS, LDAP, QT_DEFAULT_PLACEHOLDER
+from pgadmin.authenticate import AuthSourceManager
 
 try:
     from flask_security.views import default_render_json
@@ -1326,6 +1327,9 @@ if hasattr(config, 'SECURITY_RECOVERABLE') and config.SECURITY_RECOVERABLE:
 
             if not has_error:
                 after_this_request(view_commit)
+                auth_obj = AuthSourceManager(form, [INTERNAL])
+                session['_auth_source_manager_obj'] = auth_obj.as_dict()
+
                 do_flash(*get_message('PASSWORD_RESET'))
                 login_user(user)
                 return redirect(get_url(_security.post_reset_view) or
